NLMCONV(1)

NAME
nlmconv - converts object code into an NLM.

SYNOPSIS
nlmconv [-I bfdname|--input-target=bfdname]
        [-O bfdname|--output-target=bfdname]
        [-T headerfile|--header-file=headerfile]
        [-d|--debug] [-l linker|--linker=linker]
        [-h|--help] [-V|--version]
        infile outfile

DESCRIPTION
nlmconv converts the relocatable i386 object file infile into the NetWare Loadable Module outfile, optionally reading headerfile for NLM header information. For instructions on writing the NLM command file language used in header files, see the linkers section, NLMLINK in particular, of the NLM Development and Tools Overview, which is part of the NLM Software Developer's Kit (``NLM SDK''), available from Novell, Inc. nlmconv uses the GNU Binary File Descriptor library to read infile;

nlmconv can perform a link step. In other words, you can list more than one object file for input if you list them in the definitions file (rather than simply specifying one input file on the command line). In this case, nlmconv calls the linker for you.

OPTIONS

-I bfdname
--input-target=bfdname
    Object format of the input file. nlmconv can usually determine the format of a given file (so no default is necessary).

-O bfdname
--output-target=bfdname
    Object format of the output file. nlmconv infers the output format based on the input format, e.g. for a i386 input file the output format is nlm32-i386.

-T headerfile
--header-file=headerfile
    Reads headerfile for NLM header information. For instructions on writing the NLM command file language used in header files, see see the linkers section, of the NLM Development and Tools Overview, which is part of the NLM Software Developer's Kit, available from Novell, Inc.

-d
--debug
    Displays (on standard error) the linker command line used by nlmconv.

-l linker
--linker=linker
    Use linker for any linking. linker can be an absolute or a relative pathname.

-h
--help
    Prints a usage summary.

-V
--version
    Prints the version number for nlmconv.

SEE ALSO
the Info entries for binutils.

COPYRIGHT
Copyright (c) 1991, 92, 93, 94, 95, 96, 97, 98, 99, 2000, 2001, 2002 Free Software Foundation, Inc.

Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.1 or any later version published by the Free Software Foundation; with no Invariant Sections, with no Front-Cover Texts, and with no Back-Cover Texts. A copy of the license is included in the section entitled "GNU Free Documentation License".